curl --request GET \
--url https://api.syntage.com/entities/{entityId}/insights/shareholders \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.syntage.com/entities/{entityId}/insights/shareholders"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.syntage.com/entities/{entityId}/insights/shareholders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"@context": "/contexts/GetShareholdersInsight",
"@id": "/entities/91ab5678-1234-5678-9abc-def012345678/insights/shareholders?relations.relationType=shareholders",
"@type": "hydra:Collection",
"hydra:member": [
{
"id": "91ab5678-1234-5678-9abc-def012345678",
"name": "EJEMPLO HOLDINGS, S.A. DE C.V.",
"rfc": "EHO240101AB1",
"shares": "500",
"percentage": "50.00",
"relationId": "82cd9012-3456-7890-abcd-ef1234567890",
"sources": "company_verification",
"entityId": "3f6b8b52-60f3-4af1-8459-6f23a0a0c944",
"sourceId": "11d2c236-bbd0-4024-8e59-089aa0d4359d",
"scores": [
{
"id": "76e6d0ec-9e6a-40c7-85e2-4ce02b5d9568",
"source": "buro_de_credito",
"type": "informe_buro",
"score": "533",
"generatedAt": "2024-10-04T20:53:09+00:00",
"metadata": {}
}
]
}
],
"hydra:totalItems": 1,
"hydra:view": {
"@id": "<string>",
"@type": "hydra:PartialCollectionView",
"hydra:first": "<string>",
"hydra:next": "<string>",
"hydra:last": "<string>"
},
"hydra:search": {
"@type": "<string>",
"hydra:template": "<string>",
"hydra:variableRepresentation": "<string>",
"hydra:mapping": [
{
"@type": "<string>",
"variable": "<string>",
"property": "<string>",
"required": true
}
]
}
}{
"message": "<string>"
}{
"message": "<string>"
}Shareholders Insight
Returns a paginated shareholder insight for an entity.
Use relations.relationType=shareholders to list the entity’s shareholders. Use relations.relationType=shareholder_of to list entities that this shareholder owns shares in.
When relations.relationType=shareholders and Company Verification-sourced shareholder data is available, the response returns Company Verification-sourced shareholders instead of older RPC-sourced rows. If no Company Verification-sourced shareholders are available, the response returns the available shareholder relations from other sources such as RPC or manually entered data.
This endpoint replaces the deprecated RPC Shareholders insight.
shareholders as the insight name and pass the relation type as options[relations.relationType].Authorizations
Your API key is available in the Production and Sandbox dashboards.
Path Parameters
Query Parameters
Shareholder relation direction to return
shareholders, shareholder_of Page number for pagination
x >= 1Number of items per page
1 <= x <= 1000Response
Shareholders insight
"/entities/91ab5678-1234-5678-9abc-def012345678/insights/shareholders?relations.relationType=shareholders"
Show child attributes
Show child attributes
Total number of items found
x >= 01
Pagination information
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?